WsMailServiceImpl (gCube WS Mail Widget 1.7.0-3.4.0 API)
Date: 2014-10-01

org.gcube.portlets.widgets.wsmail.server

## Class WsMailServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.widgets.wsmail.server.WsMailServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, WsMailService

      public class WsMailServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements WsMailService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TEST_SCOPE`
    `static String` | `TEST_USER`
    `static String` | `USERNAME_ATTRIBUTE`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsMailServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDevelopmentUser()` when packaging test will fail if the user is not set to test.user
    `CurrUserAndPortalUsersWrapper` | `getWorkspaceUsers()`
    `boolean` | `sendToById(ArrayList<String> listContactsId, ArrayList<String> listAttachmentsId, String subject, String body)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEST_SCOPE

          public static final String TEST_SCOPE

      See Also:
        Constant Field Values

    - #### TEST_USER

          public static final String TEST_USER

      See Also:
        Constant Field Values

    - #### USERNAME_ATTRIBUTE

          public static final String USERNAME_ATTRIBUTE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WsMailServiceImpl

          public WsMailServiceImpl()

  - ### Method Detail

    - #### getDevelopmentUser

          public String getDevelopmentUser()

      when packaging test will fail if the user is not set to test.user
      Returns:
        .

    - #### getWorkspaceUsers

          public CurrUserAndPortalUsersWrapper getWorkspaceUsers()

      Specified by:
        `getWorkspaceUsers` in interface `WsMailService`
      Returns:
        the list of workspace users

    - #### sendToById

          public boolean sendToById(ArrayList<String> listContactsId,
                           ArrayList<String> listAttachmentsId,
                           String subject,
                           String body)

      Specified by:
        `sendToById` in interface `WsMailService`

Copyright © 2014. All Rights Reserved.